Bug 1307284 - ModemManager: FTBFS in rawhide
ModemManager: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 15:56 EST by Fedora Release Engineering
Modified: 2016-03-07 14:01 EST (History)
3 users (show)

See Also:
Fixed In Version: ModemManager-1.4.10-4.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 14:01:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (22.34 KB, text/plain)
2016-02-13 15:56 EST, Fedora Release Engineering
no flags Details
root.log (107.82 KB, text/plain)
2016-02-13 15:56 EST, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2016-02-13 15:56 EST, Fedora Release Engineering
no flags Details
Disable -Werror (#1307284) (1.24 KB, patch)
2016-02-29 18:25 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 15:56:53 EST
Your package ModemManager failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12804406

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 15:56:56 EST
Created attachment 1123923 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 15:56:57 EST
Created attachment 1123924 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 15:56:58 EST
Created attachment 1123925 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-19 15:58:11 EST
Should be fixed by https://cgit.freedesktop.org/ModemManager/ModemManager/patch/?id=99ae6777893d0b149cbefac3f290c63c47e29f42 or configure with --disable-more-warnings.
Comment 5 Jan Kurik 2016-02-24 09:31:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Yaakov Selkowitz 2016-02-29 18:25 EST
Created attachment 1131749 [details]
Disable -Werror (#1307284)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13181615

Note You need to log in before you can comment on or make changes to this bug.